<?xml version="1.0" encoding="UTF-8"?>
<project name="blancoXliff" default="build" basedir=".">
	<!-- blancoAnt(0.1.2)により自動生成されました。 (2008/04/06) -->
	<property name="version" value="0.0.1" />

	<property name="project" value="blancoXliff" />
	<property name="product" value="blanco.xliff" />
	<property name="project.zip" value="${project}-${version}-src.zip" />
	<property name="project.main.jar" value="blancoxliff-${version}.jar" />

	<property name="eclipse.dir" value="C:/Program Files/eclipse" />

	<!-- Antタスク定義 begin -->
	<taskdef name="blancoanttask" classname="blanco.anttask.task.BlancoAntTaskTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancoconstants" classname="blanco.constants.task.BlancoConstantsTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancomessage" classname="blanco.message.task.BlancoMessageTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancometa2xmlprocess" classname="blanco.meta2xml.task.BlancoMeta2XmlProcessTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancoresourcebundle" classname="blanco.resourcebundle.task.BlancoResourceBundleTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancovalueobject" classname="blanco.valueobject.task.BlancoValueObjectTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<!-- Antタスク定義 end -->

	<!-- 自分自身のAntタスク。 -->
	<!--
	<taskdef name="blancoxliff" classname="blanco.xliff.task.BlancoXliffTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>
	-->

	<target name="pack">
		<echo>packing project</echo>
		<delete file="${project.zip}" />
		<delete dir="bin" />
		<delete dir="javadoc" />

		<delete dir="tmp" />

		<copy todir="lib.ant">
			<fileset dir=".">
				<include name="blancoxliff-*.jar" />
			</fileset>
		</copy>

		<delete>
			<fileset dir=".">
				<include name="blancoxliff-*.jar" />
			</fileset>
		</delete>

		<zip destfile="${project.zip}">
			<zipfileset dir="." prefix="${project}" excludes="${project.zip},**/*.class" />
		</zip>

	</target>

	<target name="jar">
		<echo>building jar</echo>

		<delete file="${project.main.jar}" />
		<jar destfile="${project.main.jar}">
			<zipfileset dir="doc" prefix="doc" />
			<!-- classの取り込み (※sampleは除外) -->
			<zipfileset dir="bin" includes="**/*" excludes="blanco/sample/**" />
			<!-- Javaソースコード(通常)の取り込み (※sampleは除外) -->
			<zipfileset dir="src" includes="**/*" prefix="src" excludes="blanco/sample/**" />
			<!-- Javaソースコード(自動生成)の取り込み (※sampleは除外) -->
			<zipfileset dir="blanco/main" includes="**/*.java" prefix="src" excludes="blanco/sample/**" />
			<!-- プロパティファイルの取り込み -->
			<zipfileset dir="blanco/main" includes="*.properties" />
		</jar>
	</target>

	<target name="compile">
		<delete dir="bin" />
		<mkdir dir="bin" />
		<javac destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<src path="blanco/main/" />
			<src path="src/" />
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.1/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
	</target>

	<target name="javadoc">
		<echo>JavaDocを生成します。</echo>
		<delete dir="javadoc" />
		<javadoc destdir="javadoc">
			<fileset dir="src" />
			<fileset dir="blanco/main" />
			<classpath>
				<fileset dir="lib" includes="*.jar" />
				<fileset dir="lib.ant" includes="*.jar" />
			</classpath>
		</javadoc>
	</target>

	<target name="meta">
		<blancoanttask metadir="meta/program" />
		<blancoconstants metadir="meta/program" />
		<blancomessage metadir="meta/program" />
		<blancometa2xmlprocess metadir="meta/program" />
		<blancoresourcebundle metadir="meta/program" commenttimestamp="false" />
		<blancovalueobject metadir="meta/program" />

		<!-- TODO: ここに自身のantタスクを追加してください。 -->
	</target>

	<target name="build" depends="meta,compile,jar,pack">
	</target>

</project>